f09e47aced2e4e23b29b75b6ca05fa3d316905f4
[xfstests-dev.git] / 131
1 #! /bin/sh
2 #
3 #-----------------------------------------------------------------------
4 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
5 #
6 # This program is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU General Public License as
8 # published by the Free Software Foundation.
9 #
10 # This program is distributed in the hope that it would be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write the Free Software Foundation,
17 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
18 #
19 #-----------------------------------------------------------------------
20 #
21 # FSQA Test No. 131
22 #
23 # lock test created from CXFSQA test lockfile_simple
24 #
25 # creator
26 owner=allanr@sgi.com
27
28 seq=`basename $0`
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=1        # failure is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     _cleanup_testdir
39 }
40
41 # get standard environment, filters and checks
42 . ./common.rc
43 . ./common.filter
44
45 # real QA test starts here
46 _supported_fs xfs udf nfs
47 _supported_os Linux
48
49 _setup_testdir
50
51 TESTFILE=$testdir/lock_file
52
53 # Grab a port which is hopefully unused
54 if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
55     PORT=$$
56 elif [ $$ -lt 1024 ]; then
57     PORT=$(($$+1024))
58 elif [ $$ -gt 32000 ]; then
59     PORT=$(($$%30000+1024))
60 fi
61
62 # Start the server
63 src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
64
65 sleep 1
66
67 # Start the client
68 src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
69 result=$?
70 if [ $result -eq 0 ]; then
71     echo success!
72 else
73     echo "Client reported failure ($result)"
74     cat $testdir/*.out
75     _cleanup
76     exit $status
77 fi
78
79 status=0
80 exit